## RygelHTTPServer

RygelHTTPServer

## Functions

void | rygel_http_server_set_resource_delivery_options ()
gboolean | rygel_http_server_need_proxy ()
GHashTable * | rygel_http_server_get_replacements ()
gboolean | rygel_http_server_is_local ()
RygelHTTPServer * | rygel_http_server_new ()
const gchar * | rygel_http_server_get_path_root ()
const gchar * | rygel_http_server_get_server_name ()
void | rygel_http_server_set_server_name ()

## Properties

GCancellable * | cancellable | Read / Write
gchar * | path-root | Read
gchar * | server-name | Read / Write

## Types and Values

#define | RYGEL_TYPE_HTTP_SERVER
struct | RygelHTTPServer
struct | RygelHTTPServerClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPServer

## Implemented Interfaces

RygelHTTPServer implements RygelStateMachine.

## Description

## Functions

### rygel_http_server_set_resource_delivery_options ()

    void
    rygel_http_server_set_resource_delivery_options
                                   (RygelHTTPServer *self,
                                    RygelMediaResource *res);

Set or unset options the server supports/doesn't support

Resources should be setup assuming server supports all optional delivery modes

#### Parameters

self | the RygelHTTPServer instance |
res |  |

### rygel_http_server_need_proxy ()

    gboolean
    rygel_http_server_need_proxy (RygelHTTPServer *self,
                                  const gchar *uri);

#### Parameters

self | the RygelHTTPServer instance |
uri |  |

### rygel_http_server_get_replacements ()

    GHashTable *
    rygel_http_server_get_replacements (RygelHTTPServer *self);

#### Parameters

self | the RygelHTTPServer instance |

### rygel_http_server_is_local ()

    gboolean
    rygel_http_server_is_local (RygelHTTPServer *self);

#### Parameters

self | the RygelHTTPServer instance |

### rygel_http_server_new ()

    RygelHTTPServer *
    rygel_http_server_new (RygelContentDirectory *content_dir,
                           const gchar *name);

#### Parameters

content_dir |  |
name |  |

### rygel_http_server_get_path_root ()

    const gchar *
    rygel_http_server_get_path_root (RygelHTTPServer *self);

Get and return the current value of the "path-root" property.

#### Parameters

self | the RygelHTTPServer instance to query |

#### Returns

the value of the "path-root" property

### rygel_http_server_get_server_name ()

    const gchar *
    rygel_http_server_get_server_name (RygelHTTPServer *self);

Get and return the current value of the "server-name" property.

#### Parameters

self | the RygelHTTPServer instance to query |

#### Returns

the value of the "server-name" property

### rygel_http_server_set_server_name ()

    void
    rygel_http_server_set_server_name (RygelHTTPServer *self,
                                       const gchar *value);

Set the value of the "server-name" property to `value` .

#### Parameters

self | the RygelHTTPServer instance to modify |
value | the new value of the "server-name" property |

## Types and Values

### RYGEL_TYPE_HTTP_SERVER

    #define RYGEL_TYPE_HTTP_SERVER (rygel_http_server_get_type ())

The type for RygelHTTPServer.

### struct RygelHTTPServer

    struct RygelHTTPServer;

### struct RygelHTTPServerClass

    struct RygelHTTPServerClass {
    	GObjectClass parent_class;
    	gchar* (*get_protocol) (RygelHTTPServer* self);
    	GeeArrayList* (*get_protocol_info) (RygelHTTPServer* self);
    };

The class structure for `RYGEL_TYPE_HTTP_SERVER`. All the fields in this structure are private and should never be accessed directly.

#### Members

`get_protocol` () |  |
`get_protocol_info` () |  |

## Property Details

### The `“cancellable”` property

      “cancellable”              GCancellable *

cancellable.

Flags: Read / Write

### The `“path-root”` property

      “path-root”                gchar *

path-root.

Flags: Read

Default value: NULL

### The `“server-name”` property

      “server-name”              gchar *

server-name.

Flags: Read / Write

Default value: NULL